# Uses of Interface
org.apache.sling.api.request.RequestPathInfo

Packages that use RequestPathInfo
Package
Description
org.apache.sling.api
org.apache.sling.api.uri
org.apache.sling.api.wrappers

## Uses of RequestPathInfo in org.apache.sling.api

Methods in org.apache.sling.api that return RequestPathInfo
Modifier and Type
Method
Description
`@NotNull RequestPathInfo`
SlingHttpServletRequest.`getRequestPathInfo()`
Deprecated.
Returns the `RequestPathInfo` pertaining to this request.
`@NotNull RequestPathInfo`
SlingJakartaHttpServletRequest.`getRequestPathInfo()`
Returns the `RequestPathInfo` pertaining to this request.

## Uses of RequestPathInfo in org.apache.sling.api.uri

Subinterfaces of RequestPathInfo in org.apache.sling.api.uri
Modifier and Type
Interface
Description
`interface`
`SlingUri`
Represents an immutable URI in the same way as java.net.URI but is extended with Sling-specific URI parts (e.g.
Methods in org.apache.sling.api.uri with parameters of type RequestPathInfo
Modifier and Type
Method
Description
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`createFrom(@NotNull RequestPathInfo requestPathInfo)`
Creates a builder from a RequestPathInfo instance .

## Uses of RequestPathInfo in org.apache.sling.api.wrappers

Classes in org.apache.sling.api.wrappers that implement RequestPathInfo
Modifier and Type
Class
Description
`class`
`RequestPathInfoWrapper`
The `RequestPathInfoWrapper` class is a default wrapper class around a `RequestPathInfo` which may be extended to amend the functionality of the original request path info object.
Methods in org.apache.sling.api.wrappers that return RequestPathInfo
Modifier and Type
Method
Description
`@NotNull RequestPathInfo`
JakartaToJavaxRequestWrapper.`getRequestPathInfo()`
`@NotNull RequestPathInfo`
JavaxToJakartaRequestWrapper.`getRequestPathInfo()`
`@NotNull RequestPathInfo`
RequestPathInfoWrapper.`getRequestPathInfo()`
Returns the original `RequestPathInfo` object wrapped by this object.
`RequestPathInfo`
SlingHttpServletRequestWrapper.`getRequestPathInfo()`
Deprecated.
`RequestPathInfo`
SlingJakartaHttpServletRequestWrapper.`getRequestPathInfo()`
Constructors in org.apache.sling.api.wrappers with parameters of type RequestPathInfo
Modifier
Constructor
Description
``
`RequestPathInfoWrapper(@NotNull RequestPathInfo delegate)`